void rbcirc();
// This is command 'WINDO' void windo() { // TODO: Implement the command CWindoTypeDlg dlg; if(dlg.DoModal() == IDOK) { // Do something usefull here
acutPrintf("\nWindow width = %.2lf", windInfo.m_dWindWt); acutPrintf("\nWindow centerPoint = %.2lf,%.2lf,%.2lf", windInfo.m_dCenterX,windInfo.m_dCenterY,windInfo.m_dCenterZ); acutPrintf("\nWindow xxx = %s", "ydp\n"); rbcirc();
} }
// This is command 'RBCIRC' void rbcirc() { ads_point cp = {windInfo.m_dCenterX,windInfo.m_dCenterY,windInfo.m_dCenterZ}; ads_real rad = windInfo.m_dWindWt; ads_name circEnt; int rc = RTNORM;
//获得当前文档及标识 acDocManager->curDocument();
acedCommand(RTSTR, "CIRCLE", RTPOINT, cp, RTREAL, rad, RTNONE);
rc = acdbEntLast(circEnt);
} |